' /////////////////////////////////////////////////////////////////////////////
{
 Propeller C3 delay functions c3k_util_delay.spin
 AUTHOR: Joe Hohertz
 LAST MODIFIED: 2011-03-14
 VERSION: 0.01
 LICENSE: MIT

 This is a part of "c3k" which is an attempt to encapsulate the
 various demos into re-usable objects.

 This utility object simply provides functions allowing
 for delays of a certain interval to be made.

}
' /////////////////////////////////////////////////////////////////////////////


'//////////////////////////////////////////////////////////////////////////////
' CONSTANTS SECTION ///////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////

CON

  CLOCKS_PER_MICROSECOND = 5_000_000*16/1_000_000     ' simple xin*pll / 1_000_000
  CLOCKS_PER_MILLISECOND = 5_000_000*16/1_000  ' simple xin*pll / 1_000

PUB Delay_MS( time )
{{
Delays "time" milliseconds and returns.
}}

  waitcnt (cnt + time*CLOCKS_PER_MILLISECOND)

' // end Delay_MS

' /////////////////////////////////////////////////////////////////////////////

PUB Delay_US( time )
{{
Delays "time" microseconds and returns.

}}

  waitcnt (cnt + time*CLOCKS_PER_MICROSECOND)


' // end Delay_US

'//////////////////////////////////////////////////////////////////////////////


